org.eclipse.wst.jsdt.chromium

## Interface Breakpoint.Target.Visitor<R>

All Known Subinterfaces:
  BreakpointTypeExtension.FunctionSupport.Visitor<R>, BreakpointTypeExtension.ScriptRegExpSupport.Visitor<R>

Enclosing class:
  Breakpoint.Target

    public static interface Breakpoint.Target.Visitor<R>

### Method Summary

All Methods Instance Methods Abstract Methods
`R` `visitScriptId(java.lang.Object scriptId)`
`R` `visitScriptName(java.lang.String scriptName)`
`R` `visitUnknown(Breakpoint.Target target)`

### Method Detail

#### visitScriptName

    R visitScriptName(java.lang.String scriptName)

#### visitScriptId

    R visitScriptId(java.lang.Object scriptId)

#### visitUnknown

    R visitUnknown(Breakpoint.Target target)